This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 109549 - (e100) incorrect automatic driver selection for Intel EtherExpress Pro10+ PCI ethernet NIC
(e100) incorrect automatic driver selection for Intel EtherExpress Pro10+ PCI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-09 08:00 EST by Georg Schwarz
Modified: 2013-07-02 22:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georg Schwarz 2003-11-09 08:00:51 EST
Fedora incorrectly automatically uses the e100 driver for an Intel EtherExpress Pro10+ PCI NIC. According to Intel's docs, that NIC is not supported by that driver, and indeed it does not work (the card is detected, but no frames appear on the cable; at least for my BNC connection).
Workaround: manually change /etc/modules.conf to use the eepro100 driver, which supports the EtherExpress Pro10+.
Comment 1 Bill Nottingham 2003-11-10 12:01:08 EST
Jeff, is there any plan on updating e100 to handle all the cards that
eepro100 supports? Loading eepro100 for a subset, when it will claim
other e100 cards in the system, is not really a workable solution.
Comment 2 Jeff Garzik 2004-01-12 14:05:50 EST
e100 should support all cards in the family.  If it doesn't, that's a bug.

What happens when you load e100 on your hardware?
Comment 3 David Lawrence 2004-09-29 15:38:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.